com.dlsc.flexgantt.policy.eventline

## Class DefaultEventlineLabelPolicy

- java.lang.Object
- - com.dlsc.flexgantt.policy.AbstractPolicy
  - - com.dlsc.flexgantt.policy.eventline.DefaultEventlineLabelPolicy

- All Implemented Interfaces:
    IEventlineLabelPolicy, IPolicy

      public class DefaultEventlineLabelPolicy
      extends AbstractPolicy
      implements IEventlineLabelPolicy

  The default implementation of `IEventlineLabelPolicy` works in combination with eventline objects that implement the `IEventlineObject` interface.
  Since:
    1.0
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEventlineLabelPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel(Object eventlineObject, IEventlineModel model, LabelType type)` Returns labels for various purposes based on the given label type ID.

    - ### Methods inherited from class com.dlsc.flexgantt.policy.AbstractPolicy

      `assertClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEventlineLabelPolicy

          public DefaultEventlineLabelPolicy()

  - ### Method Detail

    - #### getLabel

          public String getLabel(Object eventlineObject,
                                 IEventlineModel model,
                                 LabelType type)

      Description copied from interface: `IEventlineLabelPolicy`
      Returns labels for various purposes based on the given label type ID.
      Specified by:
        `getLabel` in interface `IEventlineLabelPolicy`
      Parameters:
        `eventlineObject` - the eventline object for which a label is needed
        `model` - the data source that returned the eventline object
        `type` - the type of label required
      Returns:
        a label for the given eventline object and type

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.